# -*- encoding: utf-8 -*-
# stub: spring 2.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "spring".freeze
  s.version = "2.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jon Leighton".freeze]
  s.date = "2021-06-22"
  s.description = "Preloads your application so things like console, rake and tests run faster".freeze
  s.email = ["j@jonathanleighton.com".freeze]
  s.executables = ["spring".freeze]
  s.files = ["LICENSE.txt".freeze, "README.md".freeze, "bin/spring".freeze, "lib/spring".freeze, "lib/spring/application".freeze, "lib/spring/application.rb".freeze, "lib/spring/application/boot.rb".freeze, "lib/spring/application_manager.rb".freeze, "lib/spring/binstub.rb".freeze, "lib/spring/boot.rb".freeze, "lib/spring/client".freeze, "lib/spring/client.rb".freeze, "lib/spring/client/binstub.rb".freeze, "lib/spring/client/command.rb".freeze, "lib/spring/client/help.rb".freeze, "lib/spring/client/rails.rb".freeze, "lib/spring/client/run.rb".freeze, "lib/spring/client/server.rb".freeze, "lib/spring/client/status.rb".freeze, "lib/spring/client/stop.rb".freeze, "lib/spring/client/version.rb".freeze, "lib/spring/command_wrapper.rb".freeze, "lib/spring/commands".freeze, "lib/spring/commands.rb".freeze, "lib/spring/commands/rails.rb".freeze, "lib/spring/commands/rake.rb".freeze, "lib/spring/configuration.rb".freeze, "lib/spring/env.rb".freeze, "lib/spring/errors.rb".freeze, "lib/spring/failsafe_thread.rb".freeze, "lib/spring/json.rb".freeze, "lib/spring/process_title_updater.rb".freeze, "lib/spring/server.rb".freeze, "lib/spring/sid.rb".freeze, "lib/spring/version.rb".freeze, "lib/spring/watcher".freeze, "lib/spring/watcher.rb".freeze, "lib/spring/watcher/abstract.rb".freeze, "lib/spring/watcher/polling.rb".freeze]
  s.homepage = "https://github.com/rails/spring".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Rails application preloader".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake>.freeze, ["< 14"])
    s.add_development_dependency(%q<bump>.freeze, [">= 0"])
    s.add_development_dependency(%q<activesupport>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rake>.freeze, ["< 14"])
    s.add_dependency(%q<bump>.freeze, [">= 0"])
    s.add_dependency(%q<activesupport>.freeze, [">= 0"])
  end
end
